{"openapi":"3.0.0","info":{"description":"powered by Flasgger","version":"0.0.1","title":"A swagger API","termsOfService":"/tos"},"paths":{"/context_for_query":{"post":{"summary":"Retrieve context for a given query","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"query":{"type":"string"}}}}}},"responses":{"200":{"description":"Context fetched successfully"},"500":{"description":"Internal server error"}}}},"/get_model_response":{"post":{"summary":"Get model response for a given query","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"query":{"type":"string"}}}}}},"responses":{"200":{"description":"Model response fetched successfully"},"500":{"description":"Internal server error"}}}},"/login":{"post":{"summary":"Authenticate user and return JWT","tags":["Authentication"],"description":"Verify user credentials and provide a token for subsequent requests.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"username":{"type":"string","description":"The user's name."},"password":{"type":"string","format":"password","description":"The user's password."}},"required":["username","password"]}}}},"responses":{"200":{"description":"Login successful","content":{"application/json":{"schema":{"type":"object","properties":{"access_token":{"type":"string","description":"JWT for authorization in subsequent requests."}}}}}},"401":{"description":"Login failed","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","example":"Invalid credentials"}}}}}}}}}}}